#!/usr/bin/env bash

##--------------------------------------------------------------------
## Copyright (c) 2021 Dianomic Systems Inc.
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##     http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##--------------------------------------------------------------------

##
## Author: Deepanshu Yadav
##

os_name=$(grep -o '^NAME=.*' /etc/os-release | cut -f2 -d\" | sed 's/"//g')
os_version=$(grep -o '^VERSION_ID=.*' /etc/os-release | cut -f2 -d\" | sed 's/"//g')
echo "Platform is ${os_name}, Version: ${os_version}"

ID=$(cat /etc/os-release | grep -w ID | cut -f2 -d"=")

if [ ${ID} = "ubuntu" ]; then
   pip3 install numpy==1.19.4
   pip3 install scipy==1.5.4
fi

case $os_name in
  *"Red Hat"*)
    source scl_source enable rh-python36
	  pip3  install --upgrade pip
	  pip3 install numpy==1.19.4
    pip3 install scipy==1.5.4
    pip3 install numba==0.53.1
    ;;

  *"CentOS"*)
    source scl_source enable rh-python36
	  pip3  install --upgrade pip
	  pip3 install numpy==1.19.4
    pip3 install scipy==1.5.4
    pip3 install numba==0.53.1
    ;;
esac

pip3 install cython
pip3 install pyFFTW
pip3 install PyWavelets
pip3 install psutil
